org.flexdock.docking.drag

## Class DragOperation

- java.lang.Object
- - org.flexdock.docking.drag.DragOperation

- All Implemented Interfaces:
    DockingConstants

      public class DragOperation
      extends java.lang.Object
      implements DockingConstants

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `DRAG_IMAGE`

    - ### Fields inherited from interface org.flexdock.docking.DockingConstants

      `ACTIVE_WINDOW, BOTTOM, CENTER, CENTER_REGION, CLOSE_ACTION, DEFAULT_PERSISTENCE_KEY, DOCKING_ID, EAST_REGION, HEAVYWEIGHT_DOCKABLES, HORIZONTAL, LEFT, MOUSE_PRESSED, NORTH_REGION, PERMANENT_FOCUS_OWNER, PIN_ACTION, REGION, RIGHT, SOUTH_REGION, TOP, UNINITIALIZED, UNINITIALIZED_RATIO, UNKNOWN_REGION, UNSPECIFIED_SIBLING_PREF, VERTICAL, WEST_REGION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DragOperation(java.awt.Component dockable, java.awt.Component dragSource, java.awt.Point currentMouse)`
    `DragOperation(java.awt.Component dockable, java.awt.Point dragOrigin, java.awt.event.MouseEvent evt)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.EventListener[]` | `getCachedListeners()`
    `java.awt.Point` | `getCurrentMouse()`
    `java.awt.Point` | `getCurrentMouse(boolean relativeToScreen)`
    `java.awt.Point` | `getCurrentMouse(java.awt.Component target)`
    `java.awt.Component` | `getDockable()`
    `Dockable` | `getDockableReference()`
    `DragManager` | `getDragListener()`
    `java.awt.Rectangle` | `getDragRect(boolean relativeToScreen)`
    `java.awt.Dimension` | `getDragSize()`
    `java.awt.Component` | `getDragSource()`
    `java.awt.Point` | `getMouseOffset()`
    `DockingPort` | `getParentDockingPort()`
    `DockingPort` | `getSourcePort()`
    `long` | `getStartTime()`
    `DockingPort` | `getTargetPort()`
    `java.lang.String` | `getTargetRegion()`
    `boolean` | `isOverWindow()`
    `boolean` | `isPseudoDrag()`
    `void` | `setCachedListeners(java.util.EventListener[] listeners)`
    `void` | `setDragListener(DragManager listener)`
    `void` | `setOverWindow(boolean overWindow)`
    `void` | `setTarget(DockingPort port, java.lang.String region)`
    `void` | `start()`
    `void` | `updateMouse(java.awt.event.MouseEvent me)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DRAG_IMAGE

          public static final java.lang.String DRAG_IMAGE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DragOperation

          public DragOperation(java.awt.Component dockable,
                       java.awt.Point dragOrigin,
                       java.awt.event.MouseEvent evt)

    - #### DragOperation

          public DragOperation(java.awt.Component dockable,
                       java.awt.Component dragSource,
                       java.awt.Point currentMouse)

  - ### Method Detail

    - #### getDockable

          public java.awt.Component getDockable()

    - #### getDockableReference

          public Dockable getDockableReference()

    - #### getMouseOffset

          public java.awt.Point getMouseOffset()

    - #### updateMouse

          public void updateMouse(java.awt.event.MouseEvent me)

    - #### getCurrentMouse

          public java.awt.Point getCurrentMouse()

    - #### getCurrentMouse

          public java.awt.Point getCurrentMouse(boolean relativeToScreen)

    - #### getDragRect

          public java.awt.Rectangle getDragRect(boolean relativeToScreen)

    - #### getCurrentMouse

          public java.awt.Point getCurrentMouse(java.awt.Component target)

    - #### getDragSize

          public java.awt.Dimension getDragSize()

    - #### getDragSource

          public java.awt.Component getDragSource()

    - #### setTarget

          public void setTarget(DockingPort port,
                       java.lang.String region)

    - #### getTargetPort

          public DockingPort getTargetPort()

    - #### getTargetRegion

          public java.lang.String getTargetRegion()

    - #### getCachedListeners

          public java.util.EventListener[] getCachedListeners()

    - #### setCachedListeners

          public void setCachedListeners(java.util.EventListener[] listeners)

    - #### getDragListener

          public DragManager getDragListener()

    - #### setDragListener

          public void setDragListener(DragManager listener)

    - #### isOverWindow

          public boolean isOverWindow()

    - #### setOverWindow

          public void setOverWindow(boolean overWindow)

    - #### isPseudoDrag

          public boolean isPseudoDrag()

    - #### getParentDockingPort

          public DockingPort getParentDockingPort()

    - #### start

          public void start()

    - #### getStartTime

          public long getStartTime()

    - #### getSourcePort

          public DockingPort getSourcePort()